=== plc/Makefile ===
#!/usr/bin/make -f
# file: plc/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=-DAR7x00
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9]
FILES=Makefile *.mak *.sh *.txt *.c
TOOLS=int6k int6kboot int6keth int6kf int6khost int64host int6kid int6klist int6klog int6kmdio int6kmdio2 int6kmod int6kstat int6ktest int6krate int6krule int6ktone int6kwait CMEncrypt sada coqos_add coqos_info coqos_man coqos_mod coqos_rel mdustats
TOOLS+=ampboot amphost ampID amplist amprate amprule ampstat amptest amptool amptone ampwait
TOOLS+=plcboot plchost plcID plclist plcrate plcrule plcstat plctest plctool plctone plcwait plchostd plchostd2 plcget plcset plcotst plcfwd plcdevs plclog plcmdio16 plcmdio32
PAGES=plc.1
PAGES+=int6k.1 int6kboot.1 int6keth.1 int6kid.1 int6kf.1 int6khost.1 int64host.1 int6klist.1 int6klog.1 int6kmdio.1 int6kmdio2.1 int6kmod.1 int6kstat.1 int6ktest.1 int6ktone.1 int6krate.1 int6krule.1 int6kwait.1 CMEncrypt.1 sada.1 coqos_add.1 coqos_info.1 coqos_man.1 coqos_mod.1 coqos_rel.1 mdustats.1
PAGES+=ampboot.1 amphost.1 ampID.1 amplist.1 amprate.1 amprule.1 ampstat.1 amptest.1 amptool.1 amptone.1 ampwait.1
PAGES+=plcboot.1 plchost.1 plcID.1 plclist.1 plcrate.1 plcrule.1 plcstat.1 plctest.1 plctool.1 plctone.1 plcwait.1 plchostd.1 plchostd2.1 plcget.1 plcset.1 plcotst.1 plcfwd.1 plcdevs.1 plclog.1 plcmdio16.1 plcmdio32.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS) library
	install -m ${SUID_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
check:
	${SHELL} plc.sh
fresh: clean compile
clean:
	rm -f ${TRASH} ${TOOLS}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# programs;
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}

# ====================================================================
# programs;
# --------------------------------------------------------------------

ampboot: ampboot.o BootDevice1.o BootFirmware1.o BootParameters1.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o FlashDevice1.o FlashNVM.o InitDevice1.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o StartFirmware1.o UnwantedMessage.o WaitForReset.o WaitForStart.o WaitForRestart.o WriteExecuteFirmware1.o WriteFirmware1.o WriteMEM.o WriteNVM.o WritePIB.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexstring.o keys.o nvmfile1.o initchannel.o openchannel.o pibfile1.o pibpeek1.o putoptv.o readpacket.o sdramfile.o sdrampeek.o sendpacket.o strfbits.o todigit.o typename.o uintspec.o version.o WriteExecutePIB.o desuid.o
amphost: amphost.o BootDevice1.o BootFirmware1.o BootParameters1.o Confirm.o Devices.o EthernetHeader.o FactoryDefaults.o Failure.o FlashDevice1.o FlashNVM.o HostActionResponse.o InitDevice1.o MMECode.o ModuleRead.o QualcommHeader.o ReadFirmware1.o ReadMME.o ReadParameters1.o Request.o ResetDevice.o SendMME.o StartFirmware1.o UnwantedMessage.o WaitForReset.o WaitForStart.o WaitForRestart.o WriteExecuteFirmware1.o WriteFirmware1.o WriteMEM.o WriteNVM.o WritePIB.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexstring.o keys.o nvmfile1.o initchannel.o openchannel.o pibfile1.o pibpeek1.o putoptv.o readpacket.o sdramfile.o sdrampeek.o sendpacket.o strfbits.o todigit.o typename.o uintspec.o version.o WriteExecutePIB.o desuid.o
ampID: ampID.o Devices.o Display.o EthernetHeader.o MMECode.o QualcommHeader.o UnwantedMessage.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexout.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o
amplist: amplist.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o QualcommHeader1.o ListLocalDevices.o ListRemoteDevices2.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexout.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o
amprate: amprate.o Antiphon.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o QualcommHeader1.o LocalDevices.o MMECode.o NetworkTraffic2.o PLCSelect.o PhyRates2.o QualcommHeader.o ReadMME.o Request.o ResetDevice.o RxRates2.o SendMME.o StationRole.o Traffic2.o Transmit.o UnwantedMessage.o VersionInfo1.o WaitForStart.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexencode.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o uintspec.o version.o desuid.o

amprule: amprule.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o hexstring.o MakeRule.o memout.o MMECode.o ParseRule.o PrintRule.o QualcommHeader.o ReadMME.o ReadRules.o Request.o reword.o SendMME.o UnwantedMessage.o assist.o basespec.o bytespec.o channel.o closechannel.o error.o codelist.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o lookup.o initchannel.o openchannel.o putoptv.o readpacket.o rules.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o

ampstat: ampstat.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o QualcommHeader1.o LinkStatistics.o LocalDevices.o MMECode.o NetworkInformation.o NetworkInformation1.o NetworkInformation2.o PLCSelect.o Platform.o QualcommHeader.o ReadMME.o Request.o SendMME.o Topology.o Topology1.o Topology2.o UnwantedMessage.o WaitForStart.o channel.o chipset.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexstring.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o uintspec.o version.o desuid.o
amptest: amptest.o ARPCPrint.o Confirm.o Devices.o Display.o EthernetHeader.o ExecuteApplets1.o Failure.o FirmwareMessage.o MMECode.o NVMSelect.o QualcommHeader.o Request.o SendMME.o StartFirmware1.o UnwantedMessage.o WaitForStart.o WriteExecuteFirmware1.o WriteFirmware1.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o nvmfile1.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o strfbits.o todigit.o typename.o uintspec.o version.o desuid.o
amptone: amptone.o Devices.o EthernetHeader.o Failure.o QualcommHeader1.o MMECode.o ReadMME.o SendMME.o SignalToNoise2.o ToneMaps2.o UnwantedMessage.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexstring.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o
amptool: amptool.o Attributes1.o Confirm.o Devices.o Display.o EthernetHeader.o FactoryDefaults.o Failure.o FlashNVM.o QualcommHeader1.o HostActionResponse.o Identity1.o MMECode.o NVRAMInfo.o NetInfo2.o PLCSelect.o PushButton.o QualcommHeader.o ReadFirmware1.o ReadMFG.o ReadMME.o ReadParameters1.o RemoteHosts.o Request.o ResetDevice.o SDRAMInfo.o SendMME.o SetNMK.o StartFirmware1.o StationRole.o UnwantedMessage.o VersionInfo1.o WaitForReset.o WaitForStart.o WatchdogReport.o WriteNVM.o WritePIB.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexencode.o hexout.o hexstring.o keys.o nvmfile1.o nvram.o initchannel.o openchannel.o pibfile1.o pibpeek1.o putoptv.o readpacket.o sdramfile.o sdrampeek.o sendpacket.o strfbits.o synonym.o todigit.o typename.o uintspec.o version.o desuid.o
ampwait: ampwait.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o QualcommHeader1.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o channel.o checkfilename.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o
chipset: chipset.o
coqos_add: coqos_add.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o assist.o basespec.o bytespec.o channel.o closechannel.o error.o codelist.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o lookup.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o uintspec.o version.o rules.o desuid.o
coqos_info: coqos_info.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o assist.o bytespec.o channel.o closechannel.o error.o codelist.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o lookup.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o version.o desuid.o
coqos_man: coqos_man.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o uintspec.o version.o desuid.o
coqos_mod: coqos_mod.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o assist.o bytespec.o channel.o closechannel.o error.o codelist.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o lookup.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o version.o desuid.o
coqos_rel: coqos_rel.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o bytespec.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o version.o desuid.o
int64host: int64host.o BootDevice1.o BootFirmware1.o BootParameters1.o Confirm.o Devices.o EmulateHost64.o EthernetHeader.o Failure.o FlashNVM.o HostActionResponse.o InitDevice1.o MMECode.o ModuleRead.o QualcommHeader.o ReadFirmware1.o ReadMME.o ReadParameters1.o Request.o ResetDevice.o SendMME.o StartFirmware1.o UnwantedMessage.o WaitForReset.o WaitForStart.o WriteCFG.o WriteExecuteFirmware1.o WriteFirmware1.o WriteMEM.o WriteNVM.o WritePIB.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexstring.o keys.o nvmfile1.o initchannel.o openchannel.o pibfile1.o pibpeek1.o putoptv.o readpacket.o sendpacket.o strfbits.o todigit.o typename.o uintspec.o version.o WriteExecutePIB.o desuid.o
