=== debian/changelog ===
open-plc-utils (0.0.6+git20250712.46c3506-1) unstable; urgency=medium

  * New upstream version, commit 46c3506.
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Mon, 18 Aug 2025 09:26:05 +0100
