=== debian/tests/control ===
Test-command: plctool -i lo -vr
Restrictions: needs-root, allow-stderr
